import { ProviderFactory } from '@uidu/editor-common';
import { EmojiId } from '@uidu/emoji/types';
import { PureComponent } from 'react';
export interface EmojiProps extends EmojiId {
    allowTextFallback?: boolean;
    providers?: ProviderFactory;
    fitToHeight?: number;
}
export default class EmojiNode extends PureComponent<EmojiProps, {}> {
    static displayName: string;
    private providerFactory;
    constructor(props: EmojiProps);
    componentWillUnmount(): void;
    private renderWithProvider;
    render(): JSX.Element;
}
